import { d as T, V as x, e as I, r as R, a as v, Z as l, gE as k, ay as C, ac as P, c as B, o as S, w as V, j as a, l as e, G as j, X as H, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as J } from "./Table-0PViRYCf.js";
import { _ as $ } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { w as q } from "./vesselEquipmentDetails-CJeqdW1Z.js";
import { c as F } from "./columns-BV6QS8Hv.js";
import { c as D, __tla as __tla_1 } from "./schemas-Dz7LnyWK.js";
import { B as N } from "./BasicForm-dL_oCSPM.js";
import { u as W } from "./useForm-CKmgcynv.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./componentMap-CElCaWis.js";
import "./propTypes-CebMRUpe.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./componentSetting-DVhNDBTO.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./tabsView-BXskTdVh.js";
import "./Flex-CTSf12gq.js";
import "./index-DatBjkM3.js";
import "./columns-BK5KZ8kW.js";
import "./schemas-Cam1kIsU.js";
import "./dateUtil-BtafrT1f.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./template-rpthWlT9.js";
import "./index-kKnqLkWM.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./ImageUpload-DUsnro3W.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./TreeSelect-BZh2DeCh.js";
let Vo;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    Vo = T({
        __name: "JobHistory",
        props: {
            selectedPlanId: {}
        },
        setup (p) {
            const n = p, { t: s } = x(), c = I(), m = R(), { jobHistoryTableColumns: u } = F(), { jobHistorySearchSchemas: d } = D(), [f, { getFieldsValue: b }] = W({
                gridProps: {
                    cols: "2 l:3 xl:4 2xl:5"
                },
                schemas: d,
                labelWidth: "auto",
                labelPlacement: "top",
                showAdvancedButton: !1
            }), _ = v({
                width: 100,
                title: s("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (o) {
                    return l($, {
                        style: "text",
                        actions: [
                            {
                                label: s("common.optionsViewText"),
                                labelShow: !1,
                                icon: l(k, {
                                    iconName: "view",
                                    iconType: "lineIcon"
                                }),
                                onClick: w.bind(null, o)
                            }
                        ]
                    });
                }
            });
            C(()=>n.selectedPlanId, (o)=>{
                P(()=>{
                    o && i();
                });
            }, {
                immediate: !0
            });
            function h(o, t) {
                return q({
                    ...o,
                    ...t,
                    planId: n.selectedPlanId
                });
            }
            function i(o) {
                m.value.restReload();
            }
            function w(o) {
                c.push({
                    name: "jobOrder",
                    query: {
                        shipId: o.shipId,
                        id: o.id,
                        planId: o.planId,
                        type: "view"
                    }
                });
            }
            return (o, t)=>{
                const y = j, g = H;
                return S(), B(g, null, {
                    default: V(()=>[
                            a(e(N), {
                                onRegister: e(f),
                                onSubmit: t[0] || (t[0] = (r)=>i(!0)),
                                onReset: t[1] || (t[1] = (r)=>i(!0))
                            }, null, 8, [
                                "onRegister"
                            ]),
                            a(y, {
                                class: "mt-3 mb-4"
                            }),
                            a(e(J), {
                                ref_key: "basicTableRef",
                                ref: m,
                                columns: e(u),
                                request: (r)=>h(r, e(b)()),
                                "row-key": (r)=>r.id,
                                immediate: !1,
                                autoScrollX: !0,
                                canResize: !1,
                                actionColumn: e(_),
                                "virtual-scroll": ""
                            }, null, 8, [
                                "columns",
                                "request",
                                "row-key",
                                "actionColumn"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Vo as default, __tla };
